package request

// TimeTableDataConfig
// @Description: 表格配置
type TimeTableDataConfig struct {
	EdbInfoIdList    []int                 `description:"指标id列表，从左至右，从上到下的顺序"`
	Sort             int                   `description:"日期排序，0：倒序，1：正序"`
	Data             []TimeTableManualData `description:"数据列表"`
	Num              int                   `description:"实际数据需要列出来的期数"`
	RemoveDate       []string              `description:"不展示的日期"`
	ManualDate       []string              `description:"手动配置的日期（未来的日期）"`
	TableEdbInfoList []TimeTableEdbInfo    `description:"表格内指标信息"`
	TextRowData      [][]ManualDataReq     `description:"文本列表"`
}

// TimeTableEdbInfo
// @Description: 表格指标信息
type TimeTableEdbInfo struct {
	EdbInfoId    int    `description:"指标ID"`
	Tag          string `description:"标签"`
	EdbName      string `description:"指标名称"`
	EdbNameEn    string `description:"英文指标名称"`
	EdbAliasName string `description:"指标别名"`
	Frequency    string `description:"频度"`
	Unit         string `description:"单位"`
	UnitEn       string `description:"英文单位"`
}

// ManualData
// @Description: 手工文本配置
type TimeTableManualData struct {
	DataType            int               `description:"数据类型，1：普通的，2：插值法，3：手动输入，4：公式计算"`
	DataTime            string            `description:"所属日期"`
	DataTimeType        int               `description:"日期类型，1：实际日期；2：未来日期"`
	ShowValue           string            `description:"展示值"`
	Value               string            `description:"实际值（计算公式）"`
	EdbInfoId           int               `description:"指标id"`
	Tag                 string            `description:"下标"`
	RelationEdbInfoList []RelationEdbInfo `description:"关联指标（计算公式中关联的指标，用于计算的时候去匹配）"`
}
